Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Interface HtmlConstants

    public interface HtmlConstants

Common HTML elements and attributes names.

Version:
  $Revision: 1.1.2.6 $ $Date: 2007/02/08 19:07:16 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Field Summary
`static java.lang.String` | `A_ELEMENT`
`static java.lang.String` | `ACCEPT_ATTRIBUTE`
`static java.lang.String` | `ACCEPT_CHARSET_ATTRIBUTE`
`static java.lang.String` | `ACCESSKEY_ATTRIBUTE`
`static java.lang.String` | `ACTION_ATTRIBUTE`
`static java.lang.String` | `ALIGN_ATTRIBUTE`
`static java.lang.String` | `ALT_ATTRIBUTE`
`static java.lang.String` | `AUTOCOMPLETE_ATTRIBUTE`
`static java.lang.String` | `BGCOLOR_ATTRIBUTE`
`static java.lang.String` | `BODY_ELEMENT`
`static java.lang.String` | `BORDER_ATTRIBUTE`
`static java.lang.String` | `BUTTON`
`static java.lang.String` | `CAPTION_ELEMENT`
`static java.lang.String` | `CELLPADDING_ATTRIBUTE`
`static java.lang.String` | `CELLSPACING_ATTRIBUTE`
`static java.lang.String` | `CHARSET_ATTR`
`static java.lang.String` | `CLASS_ATTRIBUTE`
`static java.lang.String` | `COL_ELEMENT`
`static java.lang.String` | `COLGROUP_ELEMENT`
`static java.lang.String` | `COLS_ATTRIBUTE`
`static java.lang.String` | `COLSPAN_ATTRIBUTE`
`static java.lang.String` | `COORDS_ATTR`
`static java.lang.String` | `CSS_TYPE`
`static java.lang.String` | `DD_ELEMENT`
`static java.lang.String` | `DIR_ATTRIBUTE`
`static java.lang.String` | `DISABLED_ATTR`
`static java.lang.String` | `DIV_ELEM`
`static java.lang.String` | `DL_ELEMENT`
`static java.lang.String` | `DT_ELEMENT`
`static java.lang.String` | `ENCTYPE_ATTRIBUTE`
`static java.lang.String` | `FORM_ELEMENT`
`static java.lang.String` | `FRAME_ATTRIBUTE`
`static java.lang.String` | `HEAD_ELEMENT`
`static java.lang.String` | `HEIGHT_ATTRIBUTE`
`static java.lang.String` | `HREF_ATTR`
`static java.lang.String` | `HREFLANG_ATTR`
`static java.lang.String` | `HTML_ELEMENT`
`static java.lang.String` | `ID_ATTRIBUTE`
`static java.lang.String` | `IMG_ELEMENT`
`static java.lang.String` | `INPUT_ELEM`
`static java.lang.String` | `INPUT_TYPE_HIDDEN`
`static java.lang.String` | `JAVASCRIPT_TYPE`
`static java.lang.String` | `LANG_ATTRIBUTE`
`static java.lang.String` | `LI_ELEMENT`
`static java.lang.String` | `LINK_ELEMENT`
`static java.lang.String` | `LONGDESC_ATTRIBUTE`
`static java.lang.String` | `MAXLENGTH_ATTRIBUTE`
`static java.lang.String` | `MEDIA_ATTRIBUTE`
`static java.lang.String` | `METHOD_ATTRIBUTE`
`static java.lang.String` | `NAME_ATTRIBUTE`
`static java.lang.String` | `NOWRAP_ATTRIBUTE`
`static java.lang.String` | `OL_ELEMENT`
`static java.lang.String` | `ONBLUR_ATTRIBUTE`
`static java.lang.String` | `ONCHANGE_ATTRIBUTE`
`static java.lang.String` | `ONCLICK_ATTRIBUTE`
`static java.lang.String` | `ONDBLCLICK_ATTRIBUTE`
`static java.lang.String` | `ONFOCUS_ATTRIBUTE`
`static java.lang.String` | `ONKEYDOWN_ATTRIBUTE`
`static java.lang.String` | `ONKEYPRESS_ATTRIBUTE`
`static java.lang.String` | `ONKEYUP_ATTRIBUTE`
`static java.lang.String` | `ONLOAD_ATTRIBUTE`
`static java.lang.String` | `ONMOUSEDOWN_ATTRIBUTE`
`static java.lang.String` | `ONMOUSEMOVE_ATTRIBUTE`
`static java.lang.String` | `ONMOUSEOUT_ATTRIBUTE`
`static java.lang.String` | `ONMOUSEOVER_ATTRIBUTE`
`static java.lang.String` | `ONMOUSEUP_ATTRIBUTE`
`static java.lang.String` | `ONRESET_ATTRIBUTE`
`static java.lang.String` | `ONSELECT_ATTRIBUTE`
`static java.lang.String` | `ONSUBMIT_ATTRIBUTE`
`static java.lang.String` | `ONUNLOAD_ATTRIBUTE`
`static java.lang.String` | `OPTION_ELEM`
`static java.lang.String[]` | `PASS_THRU`
`static java.lang.String[]` | `PASS_THRU_BOOLEAN` HTML attributes allowed boolean-values only
`static java.lang.String[]` | `PASS_THRU_EVENTS`
`static java.lang.String[]` | `PASS_THRU_STYLES`
`static java.lang.String[]` | `PASS_THRU_URI` all HTML attributes with URI value.
`static java.lang.String` | `READONLY_ATTRIBUTE`
`static java.lang.String` | `REL_ATTR`
`static java.lang.String` | `REL_STYLESHEET`
`static java.lang.String` | `REV_ATTR`
`static java.lang.String` | `ROWS_ATTRIBUTE`
`static java.lang.String` | `ROWSPAN_ATTRIBUTE`
`static java.lang.String` | `RULES_ATTRIBUTE`
`static java.lang.String` | `SCOPE_ATTRIBUTE`
`static java.lang.String` | `SCRIPT_ELEM`
`static java.lang.String` | `SHAPE_ATTR`
`static java.lang.String` | `SIZE_ATTRIBUTE`
`static java.lang.String` | `SPAN_ELEM`
`static java.lang.String` | `SRC_ATTRIBUTE`
`static java.lang.String` | `STYLE_ATTRIBUTE`
`static java.lang.String` | `STYLE_CLASS_ATTR`
`static java.lang.String` | `SUMMARY_ATTRIBUTE`
`static java.lang.String` | `TABINDEX_ATTRIBUTE`
`static java.lang.String` | `TABLE_ELEMENT`
`static java.lang.String` | `TARGET_ATTRIBUTE`
`static java.lang.String` | `TBODY_ELEMENT`
`static java.lang.String` | `TD_ELEM`
`static java.lang.String` | `TEXT_JAVASCRIPT_TYPE`
`static java.lang.String` | `TFOOT_ELEMENT`
`static java.lang.String` | `TH_ELEM`
`static java.lang.String` | `THEAD_ELEMENT`
`static java.lang.String` | `TITLE_ATTRIBUTE`
`static java.lang.String` | `TITLE_ELEM`
`static java.lang.String` | `TR_ELEMENT`
`static java.lang.String` | `TYPE_ATTR`
`static java.lang.String` | `UL_ELEMENT`
`static java.lang.String` | `USEMAP_ATTRIBUTE`
`static java.lang.String` | `VALIGN_ATTRIBUTE`
`static java.lang.String` | `VALUE_ATTRIBUTE`
`static java.lang.String` | `WIDTH_ATTRIBUTE`

Field Detail

### A_ELEMENT

    static final java.lang.String A_ELEMENT

See Also:
  Constant Field Values

### BODY_ELEMENT

    static final java.lang.String BODY_ELEMENT

See Also:
  Constant Field Values

### IMG_ELEMENT

    static final java.lang.String IMG_ELEMENT

See Also:
  Constant Field Values

### INPUT_ELEM

    static final java.lang.String INPUT_ELEM

See Also:
  Constant Field Values

### OPTION_ELEM

    static final java.lang.String OPTION_ELEM

See Also:
  Constant Field Values

### INPUT_TYPE_HIDDEN

    static final java.lang.String INPUT_TYPE_HIDDEN

See Also:
  Constant Field Values

### BUTTON

    static final java.lang.String BUTTON

See Also:
  Constant Field Values

### CAPTION_ELEMENT

    static final java.lang.String CAPTION_ELEMENT

See Also:
  Constant Field Values

### CHARSET_ATTR

    static final java.lang.String CHARSET_ATTR

See Also:
  Constant Field Values

### COORDS_ATTR

    static final java.lang.String COORDS_ATTR

See Also:
  Constant Field Values

### COLGROUP_ELEMENT

    static final java.lang.String COLGROUP_ELEMENT

See Also:
  Constant Field Values

### COL_ELEMENT

    static final java.lang.String COL_ELEMENT

See Also:
  Constant Field Values

### DISABLED_ATTR

    static final java.lang.String DISABLED_ATTR

See Also:
  Constant Field Values

### DIV_ELEM

    static final java.lang.String DIV_ELEM

See Also:
  Constant Field Values

### DD_ELEMENT

    static final java.lang.String DD_ELEMENT

See Also:
  Constant Field Values

### DL_ELEMENT

    static final java.lang.String DL_ELEMENT

See Also:
  Constant Field Values

### DT_ELEMENT

    static final java.lang.String DT_ELEMENT

See Also:
  Constant Field Values

### FORM_ELEMENT

    static final java.lang.String FORM_ELEMENT

See Also:
  Constant Field Values

### HEAD_ELEMENT

    static final java.lang.String HEAD_ELEMENT

See Also:
  Constant Field Values

### HEIGHT_ATTRIBUTE

    static final java.lang.String HEIGHT_ATTRIBUTE

See Also:
  Constant Field Values

### HREFLANG_ATTR

    static final java.lang.String HREFLANG_ATTR

See Also:
  Constant Field Values

### HREF_ATTR

    static final java.lang.String HREF_ATTR

See Also:
  Constant Field Values

### HTML_ELEMENT

    static final java.lang.String HTML_ELEMENT

See Also:
  Constant Field Values

### LINK_ELEMENT

    static final java.lang.String LINK_ELEMENT

See Also:
  Constant Field Values

### SCRIPT_ELEM

    static final java.lang.String SCRIPT_ELEM

See Also:
  Constant Field Values

### SPAN_ELEM

    static final java.lang.String SPAN_ELEM

See Also:
  Constant Field Values

### TFOOT_ELEMENT

    static final java.lang.String TFOOT_ELEMENT

See Also:
  Constant Field Values

### THEAD_ELEMENT

    static final java.lang.String THEAD_ELEMENT

See Also:
  Constant Field Values

### TABLE_ELEMENT

    static final java.lang.String TABLE_ELEMENT

See Also:
  Constant Field Values

### TBODY_ELEMENT

    static final java.lang.String TBODY_ELEMENT

See Also:
  Constant Field Values

### TD_ELEM

    static final java.lang.String TD_ELEM

See Also:
  Constant Field Values

### TR_ELEMENT

    static final java.lang.String TR_ELEMENT

See Also:
  Constant Field Values

### TH_ELEM

    static final java.lang.String TH_ELEM

See Also:
  Constant Field Values

### TITLE_ELEM

    static final java.lang.String TITLE_ELEM

See Also:
  Constant Field Values

### UL_ELEMENT

    static final java.lang.String UL_ELEMENT

See Also:
  Constant Field Values

### OL_ELEMENT

    static final java.lang.String OL_ELEMENT

See Also:
  Constant Field Values

### LI_ELEMENT

    static final java.lang.String LI_ELEMENT

See Also:
  Constant Field Values

### FRAME_ATTRIBUTE

    static final java.lang.String FRAME_ATTRIBUTE

See Also:
  Constant Field Values

### BORDER_ATTRIBUTE

    static final java.lang.String BORDER_ATTRIBUTE

See Also:
  Constant Field Values

### BGCOLOR_ATTRIBUTE

    static final java.lang.String BGCOLOR_ATTRIBUTE

See Also:
  Constant Field Values

### ACCEPT_ATTRIBUTE

    static final java.lang.String ACCEPT_ATTRIBUTE

See Also:
  Constant Field Values

### ACCEPT_CHARSET_ATTRIBUTE

    static final java.lang.String ACCEPT_CHARSET_ATTRIBUTE

See Also:
  Constant Field Values

### ACCESSKEY_ATTRIBUTE

    static final java.lang.String ACCESSKEY_ATTRIBUTE

See Also:
  Constant Field Values

### ACTION_ATTRIBUTE

    static final java.lang.String ACTION_ATTRIBUTE

See Also:
  Constant Field Values

### ALIGN_ATTRIBUTE

    static final java.lang.String ALIGN_ATTRIBUTE

See Also:
  Constant Field Values

### ALT_ATTRIBUTE

    static final java.lang.String ALT_ATTRIBUTE

See Also:
  Constant Field Values

### AUTOCOMPLETE_ATTRIBUTE

    static final java.lang.String AUTOCOMPLETE_ATTRIBUTE

See Also:
  Constant Field Values

### CLASS_ATTRIBUTE

    static final java.lang.String CLASS_ATTRIBUTE

See Also:
  Constant Field Values

### COLS_ATTRIBUTE

    static final java.lang.String COLS_ATTRIBUTE

See Also:
  Constant Field Values

### COLSPAN_ATTRIBUTE

    static final java.lang.String COLSPAN_ATTRIBUTE

See Also:
  Constant Field Values

### CELLPADDING_ATTRIBUTE

    static final java.lang.String CELLPADDING_ATTRIBUTE

See Also:
  Constant Field Values

### CELLSPACING_ATTRIBUTE

    static final java.lang.String CELLSPACING_ATTRIBUTE

See Also:
  Constant Field Values

### DIR_ATTRIBUTE

    static final java.lang.String DIR_ATTRIBUTE

See Also:
  Constant Field Values

### ENCTYPE_ATTRIBUTE

    static final java.lang.String ENCTYPE_ATTRIBUTE

See Also:
  Constant Field Values

### ID_ATTRIBUTE

    static final java.lang.String ID_ATTRIBUTE

See Also:
  Constant Field Values

### LANG_ATTRIBUTE

    static final java.lang.String LANG_ATTRIBUTE

See Also:
  Constant Field Values

### LONGDESC_ATTRIBUTE

    static final java.lang.String LONGDESC_ATTRIBUTE

See Also:
  Constant Field Values

### MAXLENGTH_ATTRIBUTE

    static final java.lang.String MAXLENGTH_ATTRIBUTE

See Also:
  Constant Field Values

### MEDIA_ATTRIBUTE

    static final java.lang.String MEDIA_ATTRIBUTE

See Also:
  Constant Field Values

### METHOD_ATTRIBUTE

    static final java.lang.String METHOD_ATTRIBUTE

See Also:
  Constant Field Values

### NAME_ATTRIBUTE

    static final java.lang.String NAME_ATTRIBUTE

See Also:
  Constant Field Values

### NOWRAP_ATTRIBUTE

    static final java.lang.String NOWRAP_ATTRIBUTE

See Also:
  Constant Field Values

### ROWS_ATTRIBUTE

    static final java.lang.String ROWS_ATTRIBUTE

See Also:
  Constant Field Values

### RULES_ATTRIBUTE

    static final java.lang.String RULES_ATTRIBUTE

See Also:
  Constant Field Values

### ROWSPAN_ATTRIBUTE

    static final java.lang.String ROWSPAN_ATTRIBUTE

See Also:
  Constant Field Values

### READONLY_ATTRIBUTE

    static final java.lang.String READONLY_ATTRIBUTE

See Also:
  Constant Field Values

### SIZE_ATTRIBUTE

    static final java.lang.String SIZE_ATTRIBUTE

See Also:
  Constant Field Values

### SRC_ATTRIBUTE

    static final java.lang.String SRC_ATTRIBUTE

See Also:
  Constant Field Values

### STYLE_ATTRIBUTE

    static final java.lang.String STYLE_ATTRIBUTE

See Also:
  Constant Field Values

### SUMMARY_ATTRIBUTE

    static final java.lang.String SUMMARY_ATTRIBUTE

See Also:
  Constant Field Values

### SCOPE_ATTRIBUTE

    static final java.lang.String SCOPE_ATTRIBUTE

See Also:
  Constant Field Values

### TABINDEX_ATTRIBUTE

    static final java.lang.String TABINDEX_ATTRIBUTE

See Also:
  Constant Field Values

### TITLE_ATTRIBUTE

    static final java.lang.String TITLE_ATTRIBUTE

See Also:
  Constant Field Values

### TARGET_ATTRIBUTE

    static final java.lang.String TARGET_ATTRIBUTE

See Also:
  Constant Field Values

### TYPE_ATTR

    static final java.lang.String TYPE_ATTR

See Also:
  Constant Field Values

### USEMAP_ATTRIBUTE

    static final java.lang.String USEMAP_ATTRIBUTE

See Also:
  Constant Field Values

### VALIGN_ATTRIBUTE

    static final java.lang.String VALIGN_ATTRIBUTE

See Also:
  Constant Field Values

### VALUE_ATTRIBUTE

    static final java.lang.String VALUE_ATTRIBUTE

See Also:
  Constant Field Values

### WIDTH_ATTRIBUTE

    static final java.lang.String WIDTH_ATTRIBUTE

See Also:
  Constant Field Values

### ONBLUR_ATTRIBUTE

    static final java.lang.String ONBLUR_ATTRIBUTE

See Also:
  Constant Field Values

### ONCHANGE_ATTRIBUTE

    static final java.lang.String ONCHANGE_ATTRIBUTE

See Also:
  Constant Field Values

### ONCLICK_ATTRIBUTE

    static final java.lang.String ONCLICK_ATTRIBUTE

See Also:
  Constant Field Values

### ONDBLCLICK_ATTRIBUTE

    static final java.lang.String ONDBLCLICK_ATTRIBUTE

See Also:
  Constant Field Values

### ONFOCUS_ATTRIBUTE

    static final java.lang.String ONFOCUS_ATTRIBUTE

See Also:
  Constant Field Values

### ONKEYDOWN_ATTRIBUTE

    static final java.lang.String ONKEYDOWN_ATTRIBUTE

See Also:
  Constant Field Values

### ONKEYPRESS_ATTRIBUTE

    static final java.lang.String ONKEYPRESS_ATTRIBUTE

See Also:
  Constant Field Values

### ONKEYUP_ATTRIBUTE

    static final java.lang.String ONKEYUP_ATTRIBUTE

See Also:
  Constant Field Values

### ONLOAD_ATTRIBUTE

    static final java.lang.String ONLOAD_ATTRIBUTE

See Also:
  Constant Field Values

### ONMOUSEDOWN_ATTRIBUTE

    static final java.lang.String ONMOUSEDOWN_ATTRIBUTE

See Also:
  Constant Field Values

### ONMOUSEMOVE_ATTRIBUTE

    static final java.lang.String ONMOUSEMOVE_ATTRIBUTE

See Also:
  Constant Field Values

### ONMOUSEOUT_ATTRIBUTE

    static final java.lang.String ONMOUSEOUT_ATTRIBUTE

See Also:
  Constant Field Values

### ONMOUSEOVER_ATTRIBUTE

    static final java.lang.String ONMOUSEOVER_ATTRIBUTE

See Also:
  Constant Field Values

### ONMOUSEUP_ATTRIBUTE

    static final java.lang.String ONMOUSEUP_ATTRIBUTE

See Also:
  Constant Field Values

### ONRESET_ATTRIBUTE

    static final java.lang.String ONRESET_ATTRIBUTE

See Also:
  Constant Field Values

### ONSELECT_ATTRIBUTE

    static final java.lang.String ONSELECT_ATTRIBUTE

See Also:
  Constant Field Values

### ONSUBMIT_ATTRIBUTE

    static final java.lang.String ONSUBMIT_ATTRIBUTE

See Also:
  Constant Field Values

### ONUNLOAD_ATTRIBUTE

    static final java.lang.String ONUNLOAD_ATTRIBUTE

See Also:
  Constant Field Values

### REL_ATTR

    static final java.lang.String REL_ATTR

See Also:
  Constant Field Values

### REV_ATTR

    static final java.lang.String REV_ATTR

See Also:
  Constant Field Values

### SHAPE_ATTR

    static final java.lang.String SHAPE_ATTR

See Also:
  Constant Field Values

### STYLE_CLASS_ATTR

    static final java.lang.String STYLE_CLASS_ATTR

See Also:
  Constant Field Values

### PASS_THRU

    static final java.lang.String[] PASS_THRU

### PASS_THRU_BOOLEAN

    static final java.lang.String[] PASS_THRU_BOOLEAN

  HTML attributes allowed boolean-values only

### PASS_THRU_EVENTS

    static final java.lang.String[] PASS_THRU_EVENTS

### PASS_THRU_STYLES

    static final java.lang.String[] PASS_THRU_STYLES

### PASS_THRU_URI

    static final java.lang.String[] PASS_THRU_URI

  all HTML attributes with URI value.

### TEXT_JAVASCRIPT_TYPE

    static final java.lang.String TEXT_JAVASCRIPT_TYPE

See Also:
  Constant Field Values

### REL_STYLESHEET

    static final java.lang.String REL_STYLESHEET

See Also:
  Constant Field Values

### CSS_TYPE

    static final java.lang.String CSS_TYPE

See Also:
  Constant Field Values

### JAVASCRIPT_TYPE

    static final java.lang.String JAVASCRIPT_TYPE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.